Name:           perl-Class-MOP
Version:        0.42
Release:        1%{?dist}
Summary:        Metaobject programming model for Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-MOP/
Source0:        http://www.cpan.org/authors/id/S/ST/STEVAN/Class-MOP-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl(Test::More)
# cpan
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Sub::Name) >= 0.02
# test
BuildRequires:  perl(Algorithm::C3)
BuildRequires:  perl(Class::C3)
BuildRequires:  perl(SUPER)
BuildRequires:  perl(Test::Exception) >= 0.21
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)


%description
This module is an attempt to create a meta object protocol for the Perl 5
object system. It makes no attempt to change the behavior or characteristics
of the Perl 5 object system, only to create a protocol for its manipulation
and introspection.

That said, it does attempt to create the tools for building a rich set of
extensions to the Perl 5 object system. Every attempt has been made for these
tools to keep to the spirit of the Perl 5 object system that we all know and
love.

%prep
%setup -q -n Class-MOP-%{version}

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(MyMetaClass.*)/d; /perl(BinaryTree)/d'
EOF

%define __perl_provides %{_builddir}/Class-MOP-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README examples/ scripts/ t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Aug 11 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.42-1
- update to 0.42
- license tag: GPL -> GPL+

* Thu May 31 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.38-1
- update to 0.38
- add t/ to doc
- minor spec rework to deal with the once and future perl split

* Thu Mar 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.37-1
- update to 0.37

* Mon Nov 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.36-1
- update to 0.36
- update summary tag

* Tue Oct 03 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.35-1
- update to 0.35

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.34-3
- bump

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.34-2
- add br on Test::Pod && ::Coverage

* Sat Sep 02 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.34-1
- Specfile autogenerated by cpanspec 1.69.1.
